{-----------------------------------------------------------------
 
  (c) 2008-2009 Markus Dittrich 
 
  This program is free software; you can redistribute it 
  and/or modify it under the terms of the GNU General Public 
  License Version 3 as published by the Free Software Foundation. 
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License Version 3 for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 59 Temple Place - Suite 330, 
  Boston, MA 02111-1307, USA.

--------------------------------------------------------------------}


-- | this module parses the KEYWORD info of a package
module Parsers.Keywords ( get_keywords
                        ) where 



-- imports
import qualified Data.ByteString as B(ByteString)
import Prelude
import System.FilePath.Posix((</>))


-- local imports
import Helpers.ByteString(tokenize_BS)
import Helpers.FileIO(read_file)



-- | open the SLOT info of a package and return as a
-- ByteString
get_keywords :: FilePath -> IO [B.ByteString]
get_keywords p = read_file (p </> "KEYWORDS") 
             >>= return . tokenize_BS

